#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n;
	cin >> n;
	int niz[n];
	cin >> niz[0];
	int niz1[n];
	niz1[0] = 0;
	for(int i = 1; i < n; i++){
		int t;
		cin >> t;
		if(t >= niz[i - 1]){
			niz1[i] = niz1[i - 1];
		}
		else{
			niz1[i] = niz1[i - 1] + 1;
		}
	}
	int q;
	cin >> q;
	for(int i = 0; i < q; i++){
		int l, r;
		cin >> l >> r;
		l--;
		r--;
		int razlika = niz1[r] - niz1[l];
		if(razlika > 1){
			cout << "NE" << '\n';
		}
		else cout << "DA" << '\n';
	}

	return 0;
}